register_sound_mixer
Prev | Chapter 24. Sound Devices | Next

## Name

register_sound_mixer — register a mixer device

## Synopsis

`int register_sound_mixer (` | const struct file_operations * | fops,
| int | dev`)`;

## Arguments

`fops`

  File operations for the driver

`dev`

  Unit number to allocate

## Description

Allocate a mixer device. Unit is the number of the mixer requested. Pass -1 to request the next free mixer unit. On success the allocated number is returned, on failure a negative error code is returned.

Prev | Up | Next
register_sound_special_device | Home | register_sound_midi